Subject: CG kernel from NPB

From: Vladimir Getov <[email-masked]>
Date: Wed, 15 Dec 93 10:16:52 GMT

Hi all,

We propose the inclusion of the CG-kernel from NAS Parallel Benchmarks
into the Parkbench suite. In our opinion, this benchmark would improve
the quality and the balance of Parkbench kernels. Currently the 
Parkbench kernels include a set of benchmarks for dense matrix 
computations (subsection 4.2.1). The CG-kernel is typical of
unstructured grid computations and employs sparse matrix-vector
multiplication. Therefore it would probably best suite into subsection 
4.2.4. "Others" of the Parkbench report.

Are there any other suggestions, comments or proposals about the Kernels
chapter?

Regards,

Tony Hey and Vladimir Getov